clear all;
clc;

% question 3 -  poisson equation by FEM
N=41;
u=velocity(N);
figure(1)
contour(u,50)
title('u(x,y)')
xlabel('x nodes 1 to 41')
ylabel('y nodes 1 to 41')


% question 4 - Integrating
a_urn=5;
b_urn=3;
l=3+a_urn/20;
b=1-b_urn/50;
h=(l-b)/2;
dx=0.5*b/(N-1);
dy=h/(N-1);
for i=1:N
    Sum_y(i)=0;
    for j=2:N-1
        Sum_y(i)=Sum_y(i)+2*u(j,i);
    end
    Sum_y(i)=dy*0.5*(u(1,i)+u(N,i)+Sum_y(i));
end
Sum_tot=0.0;
for i=2:N-1
    Sum_tot=Sum_tot+2*Sum_y(i);
end
Sum_tot=dx*0.5*(Sum_y(1)+Sum_y(end)+Sum_tot);

disp('total flowrate is=')
2*Sum_tot

% question 5

[X0,Y0,u0]=mymesh(81);
[X11,Y11,u11]=mymesh(11);
[X21,Y21,u21]=mymesh(21);
[X41,Y41,u41]=mymesh(41);
disp('L2 norm of error at N=11')
er11=myerr(X0,Y0,X11,Y11,u0,u11)
disp('L2 norm of error at N=21')
er21=myerr(X0,Y0,X21,Y21,u0,u21)
disp('L2 norm of error at N=41')
er41=myerr(X0,Y0,X41,Y41,u0,u41)

figure(3)
plot([11 21 41],[er11 er21 er41],'*-')
ylabel('L_2 norm of error')
xlabel('number of points')

