function u=velocity(N)
a_urn=5;
b_urn=3;
l=3+a_urn/20;
b=1-b_urn/50;
h=(l-b)/2;
dx=0.5*b/(N-1);
dy=h/(N-1);
bdr=[0;0;0;0];  % boundary conditions 
x=1:N; 
y=1:N; 
% RHS
b=ones(N,N); 
b(1,y)=b(1,y)+bdr(1)/dx^2;
b(N,y)=b(N,y)+bdr(2)/dx^2;
b(x,1)=b(x,1)+bdr(3)/dy^2; 
b(x,N)=b(x,N)+bdr(4)/dy^2;
%   --- generating Laplace matrix
Ax=spdiags(ones(N,1)*[-1 2 -1]/dx^2,-1:1,N,N);
Ay=spdiags(ones(N,1)*[-1 2 -1]/dy^2,-1:1,N,N);
A=kron(Ay,speye(N))+kron(speye(N),Ax);
% calculating u from equation Au=b
u=A\b(:); 
u=reshape(u,N,N);  % reshaping u to matrix NxN
% aplying boundary conditions for points where u=0
u(:,1)=0;
u(end,:)=0;
end